
'''

The **core** package contains all classes used by both client mode and server
mode.

This packages export following function/classes:

 * :class:`RpcConnection` which handle the connection to the peer.
 * :class:`RpcCaller`, :class:`ThreadedRpcCaller`: which are used internally
   by rpc protocol to execute handlers' functions.
 * :class:`RpcError` which is the exception raised by rpc to wrap remote-side
   exceptions.
 * :class:`AsyncWatcher` which allow to make asynchronous calls.

It also contains a sub-package containing protocols: :mod:`core.protocols`.

.. toctree::
   :hidden:

   api/core.protocols

'''

from sjrpc.core.rpcconnection import *
from sjrpc.core.callers import *
from sjrpc.core.exceptions import *
from sjrpc.core.async import *

__all__ = ('RpcConnection', 'RpcCaller',
           'ThreadedRpcCaller', 'RpcError', 'AsyncWatcher')
